namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "final_gambit")]
public class FinalGambit : Script, IScriptOnSecondaryEffect, IScriptChangeMoveDamage
{
    /// <inheritdoc />
    public void ChangeMoveDamage(IExecutingMove move, IPokemon target, byte hit, ref uint damage)
    {
        damage = move.User.CurrentHealth;
    }

    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        move.User.Damage(move.User.CurrentHealth * 10, DamageSource.Misc);
    }
}